/**
 * XOrganizationNamePartType2.java
 *
 * File generated from the medication2::XOrganizationNamePartType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XOrganizationNamePartType2.
 *
 * 
 */

@XmlType(name = "XOrganizationNamePartType")
@XmlEnum
@XmlRootElement(name = "XOrganizationNamePartType2")
public enum XOrganizationNamePartType2 {
	@XmlEnumValue("DEL")
	DEL("DEL"),
	@XmlEnumValue("PFX")
	PFX("PFX"),
	@XmlEnumValue("SFX")
	SFX("SFX");
	
	private final String value;

    XOrganizationNamePartType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XOrganizationNamePartType2 fromValue(String v) {
        for (XOrganizationNamePartType2 c: XOrganizationNamePartType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
